# Interface IdA1AdminColumn

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `IdA1AdminColumn.ByID, IdA1AdminColumn.ByIDName, IdA1AdminColumn.ByRealName, IdA1AdminColumn.ByTimeCreated, IdA1AdminColumn.ByTimeUpdated`

public sealed interface IdA1AdminColumn extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits IdA1AdminColumn.ByID, IdA1AdminColumn.ByIDName, IdA1AdminColumn.ByRealName, IdA1AdminColumn.ByTimeCreated, IdA1AdminColumn.ByTimeUpdated
A column to use for sorting admins.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `IdA1AdminColumn.ByID`
  Order by admin ID.
  `static final record`
  `IdA1AdminColumn.ByIDName`
  Order by admin id name.
  `static final record`
  `IdA1AdminColumn.ByRealName`
  Order by admin realname.
  `static final record`
  `IdA1AdminColumn.ByTimeCreated`
  Order by admin creation time.
  `static final record`
  `IdA1AdminColumn.ByTimeUpdated`
  Order by admin update time.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static IdA1AdminColumn`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1AdminColumn.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminColumn $x)`
  Serialize a value of type IdA1AdminColumn.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminColumn $x) throws IOException
    Serialize a value of type IdA1AdminColumn.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static IdA1AdminColumn deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1AdminColumn.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1AdminColumn.
    Throws:
      `IOException`